org.apache.ivy.core.pack

## Class OsgiBundlePacking

- java.lang.Object
- - org.apache.ivy.core.pack.ArchivePacking
  - - org.apache.ivy.core.pack.ZipPacking
    - - org.apache.ivy.core.pack.OsgiBundlePacking

    public class OsgiBundlePacking
    extends ZipPacking

Packaging which handle OSGi bundles with inner packed jar

### Constructor Summary

Constructors
Constructor and Description
`OsgiBundlePacking()`

### Method Summary

Methods
`java.lang.String[]` `getNames()`
`protected void` `writeFile(java.io.InputStream zip, java.io.File f)`

### Methods inherited from class org.apache.ivy.core.pack.ZipPacking

`getUnpackedExtension, unpack`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OsgiBundlePacking

    public OsgiBundlePacking()

### Method Detail

#### getNames

    public java.lang.String[] getNames()

Overrides:
  `getNames` in class `ZipPacking`

#### writeFile

    protected void writeFile(java.io.InputStream zip,
                 java.io.File f)
                      throws java.io.FileNotFoundException,
                             java.io.IOException

Overrides:
  `writeFile` in class `ZipPacking`
Throws:
  `java.io.FileNotFoundException`
  `java.io.IOException`